﻿package
{
	import flash.display.BitmapData;
	import flash.display.Bitmap;
	import flash.display.Sprite;
	
	public class Ring extends Bitmap
	{
		private var radiusX:Number;
		private var radiusY:Number;
		private var color:uint;
		private var screen:BitmapData;
		private var bitmap:Bitmap;
		private var cottonBall:CottonBall;
		private var index:Number;

		
		public function Ring(larg:Number, haut:Number, _radiusX:Number, _radiusY:Number, _color:uint, _alpha:Number)
		{
			radiusX = _radiusX;
			radiusY = _radiusY;
			color = _color;
			index = 0;
			
			var pX:Number;
			var pY:Number;
			var alpha:Number = 0;
			var incAlpha:Number = 1;
			cottonBall = new CottonBall();
			
			screen = new BitmapData(larg, haut, true, 0xff0000);
			bitmap = new Bitmap(screen);
			
			for(var i:int=0; i<72; i++)
			{
				for(var j:int=0; j<1; j++)
				{
					pX = Math.cos(Math.PI * i * 5 / 180) * radiusX;
					pY = Math.sin(Math.PI * i * 5 / 180) * radiusY;
					
					pX += 300;
					pY += 300;
					
					if(index == 36) incAlpha *= -1;
										
					alpha += incAlpha / 10;
					cottonBall.refresh(Math.random() * 0 + 15, pX + RdArea(10), pY + RdArea(10), 1, Math.random() * 0 + 20, color);
					screen.draw(cottonBall);
					index++;
				}
			}
		}
		
		private function RdArea(num:Number):Number
		{
			var rdNum:Number = Math.random() * num - num / 2;
			return rdNum;
		}
		
		public function DrawRing():BitmapData
		{
			return screen;
		}
	}
}